# This file created by conda-build 3.17.7
# meta.yaml template originally from:
# C:\ci\containers\000031ijh1t\tmp\build\80754af9\rsync-recipes\wxpython-4.0.4-cxx_compiler_vs2017-python_3.6-c_compiler_vs2017-on-winbuilder, last modified Sun Jan 20 02:21:23 2019
# ------------------------------------------------

package:
    name: wxpython
    version: 4.0.4
source:
    fn: wxpython-4.0.4.tar.gz
    patches:
        - 0001-MacOSX-Use-libc-not-libstdc.patch
        - 0002-MacOSX-Specify-correct-SDK-path-and-version.patch
        - 0003-Don-t-enable-debug-info-for-all-builds.patch
        - 0004-Use-custom-function-for-python_header-checking-on-Da.patch
        - 0005-Anaconda-Distribution-uses-14.1-for-3.6-too.patch
        - build.py.patch
    sha256: 0d9ef4260cb2f3e23ed9dcf6baa905ba585ac7d631613cddc299c4c83463ae29
    url: https://pypi.io/packages/source/w/wxPython/wxPython-4.0.4.tar.gz
build:
    number: '0'
    script: python setup.py install --single-version-externally-managed --record record.txt
    string: py36ha925a31_0
requirements:
    build:
        - vs2017_win-64 19.15.26726 h3c6f0ee_0
    host:
        - asn1crypto 0.24.0 py36_0
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py36_0
        - cffi 1.11.5 py36h74b6da3_1
        - chardet 3.0.4 py36_1
        - cryptography 2.4.2 py36h7a1dbc1_0
        - idna 2.8 py36_0
        - openssl 1.1.1a he774522_0
        - pthread-stubs 0.3 h3c9f919_1
        - pycparser 2.19 py36_0
        - pyopenssl 18.0.0 py36_0
        - pysocks 1.6.8 py36_0
        - python 3.6.8 h9f7ef89_0
        - requests 2.21.0 py36_0
        - setuptools 40.6.3 py36_0
        - six 1.12.0 py36_0
        - sqlite 3.26.0 he774522_0
        - urllib3 1.24.1 py36_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - win_inet_pton 1.0.1 py36_1
        - wincertstore 0.2 py36h7fe50ca_0
    run:
        - python >=3.6,<3.7.0a0
        - six
        - vc >=14.1,<15.0a0
test:
    imports:
        - wx
about:
    description: 'Welcome to wxPython''s Project Phoenix! Phoenix is the improved
        next-generation

        wxPython, "better, stronger, faster than he was before." This new

        implementation is focused on improving speed, maintainability and

        extensibility. Just like "Classic" wxPython, Phoenix wraps the wxWidgets C++

        toolkit and provides access to the user interface portions of the wxWidgets

        API, enabling Python applications to have a native GUI on Windows, Macs or

        Unix systems, with a native look and feel and requiring very little (if any)

        platform specific code.

        '
    dev_url: https://github.com/wxWidgets/Phoenix
    doc_url: https://wxpython.org/Phoenix/docs/html/index.html
    home: https://wxpython.org/Phoenix/
    license: wxWindows Library v3.1
    license_family: LGPL
    summary: Cross platform GUI toolkit for Python, "Phoenix" version
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - Korijn
        - ocefpaf
